Subject: ANNOUNCE: Sybperl 2.0
From: [email-masked] (Michael Peppler)
Date: 2 Nov 1995 16:41:53 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

I have just released version 2.0 of Sybperl, the Sybase OpenClient
extensions to Perl. It has been posted to CPAN (the Comprehensive Perl
Archive Network) today. For a list of CPAN sites and URLs see the end
of this article. This version is available from

	"CPAN"/authors/id/MEWP/sybperl-2.0.tar.gz

where "CPAN" is one of the URLs listed at the end of this article.

Here is the 2.0 README:

       Sybperl 2.0, the Sybase OpenClient extensions for Perl 5
       --------------------------------------------------------

Finally, after six months of Beta, here it is: sybperl 2.0 for Perl 5.

This release includes the Sybase::DBlib and Sybase::Sybperl modules as
full production releases, and the Sybase::CTlib module which I still
keep in 'beta', as its development and testing is not quite over yet.

Improvements over previous 2b versions:

    - Improved documentation (probably still not perfect, though :-)
    - Improved build & installation instructions.
    - Static loading is much easier to implement (build & test)
    - Sybase::CTlib includes native handling of DATETIME, MONEY and
      NUMERIC/DECIMAL datatypes. This is done transparently, using
      operator overloading.

Do you need to upgrade?

   - If you have 2b3, and you are using the DBlib &/or Sybperl
     modules, then you do not *need* this new version (DBlib has not
     changed since 2b3).

   - If you are not ready to install Perl 5, then this version is
     (obviously) not for you.

   - If you are interested in the new Sybase::CTlib module, or if you
     had problems installing a previous version (in particular with
     regards to static loading) then I recommend that you get this new
     version.

As usual, comments, critics and bug reports are welcome :-)

CPAN is mirrored widely, please select the CPAN site nearest you to
keep the networks happy. At the moment the registered CPAN sites are:

	Africa

	ftp://ftp.is.co.za/programming/perl/CPAN/

	Australasia

	ftp://coombs.anu.edu.au/pub/perl/
	ftp://ftp.mame.mu.oz.au/pub/perl/CPAN/

	Europe

	ftp://ftp.funet.fi/pub/languages/perl/CPAN/
	ftp://ftp.sunet.se/pub/lang/perl/CPAN/
	ftp://ftp.cs.ruu.nl/pub/PERL/CPAN/
	ftp://ftp.demon.co.uk/pub/mirrors/perl/CPAN/
	ftp://ftp.pasteur.fr/pub/computing/unix/perl/CPAN/
	ftp://ftp.rz.ruhr-uni-bochum.de/pub/programming/languages/perl/CPAN/
	ftp://ftp.switch.ch/mirror/CPAN/
	ftp://orpheu.ci.uminho.pt/pub/lang/perl/

	North America

	ftp://ftp.cis.ufl.edu/pub/perl/CPAN/
	ftp://uiarchive.cso.uiuc.edu/pub/lang/perl/CPAN/
	ftp://ftp.delphi.com/pub/mirrors/packages/perl/CPAN/
	ftp://ftp.sedl.org/pub/mirrors/CPAN/
	ftp://ftp.sterling.com/programming/languages/perl/

-- 
Michael Peppler, ITF Management SA, Fontaine 13, CH-1204 Geneva
[email-masked] - Tel (4122) 818 3021 - Fax (4122) 312 1325
GCS d+(-) s++: a C++ US++++$ P+++$ E++ W? N++ !w tv- b+++ G e+++ h---
r+++ y?